Bug 1253630 - [abrt] yumex-dnf: widgets.py:307:_is_fedora_pkg:AttributeError: 'NoneType' object has no attribute 'repository'
Summary: [abrt] yumex-dnf: widgets.py:307:_is_fedora_pkg:AttributeError: 'NoneType' ob...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: yumex-dnf
Version: 23
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tim Lauridsen
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:2885e655a104a4d4ecdcdc5594f...
: 1256425 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-08-14 10:32 UTC by Sylvain Arth
Modified: 2016-03-26 20:20 UTC (History)
2 users (show)

Fixed In Version: yumex-dnf-4.1.6-1.fc24 yumex-dnf-4.1.6-1.fc23 yumex-dnf-4.1.6-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-03-23 15:18:03 UTC


Attachments (Terms of Use)
File: backtrace (951 bytes, text/plain)
2015-08-14 10:32 UTC, Sylvain Arth
no flags Details
File: environ (1.11 KB, text/plain)
2015-08-14 10:32 UTC, Sylvain Arth
no flags Details

Description Sylvain Arth 2015-08-14 10:32:10 UTC
Description of problem:
This not a certitude but a rather good guessing:

This happens on old hardware when I log in with mate as soon as possible after a boot
It could be relative either to dnf-makecache runing either dnf-automatic running on background when the yumex-dnf is launched

When I wait a lot of time before initaiting loggin this very rarely happens if not never.

Version-Release number of selected component:
yumex-dnf-4.1.2-1.fc21

Additional info:
reporter:       libreport-2.3.0
cmdline:        /usr/bin/python3 -tt /usr/bin/yumex-dnf
executable:     /usr/bin/yumex-dnf
kernel:         4.0.7-200.fc21.i686
runlevel:       N 5
type:           Python3
uid:            500

Truncated backtrace:
widgets.py:307:_is_fedora_pkg:AttributeError: 'NoneType' object has no attribute 'repository'

Traceback (most recent call last):
  File "/usr/lib/python3.4/site-packages/yumex/__init__.py", line 701, in on_pkg_view_selection_changed
    self.info.set_package(pkg)
  File "/usr/lib/python3.4/site-packages/yumex/gui/widgets.py", line 258, in set_package
    self.update()
  File "/usr/lib/python3.4/site-packages/yumex/gui/widgets.py", line 268, in update
    self._show_description()
  File "/usr/lib/python3.4/site-packages/yumex/gui/widgets.py", line 324, in _show_description
    if self._is_fedora_pkg():
  File "/usr/lib/python3.4/site-packages/yumex/gui/widgets.py", line 307, in _is_fedora_pkg
    if self.current_package.repository in const.FEDORA_REPOS:
AttributeError: 'NoneType' object has no attribute 'repository'

Local variables in innermost frame:
self: <PackageInfo object at 0xb614f52c (yumex+gui+widgets+PackageInfo at 0x92f3988)>

Comment 1 Sylvain Arth 2015-08-14 10:32:13 UTC
Created attachment 1062976 [details]
File: backtrace

Comment 2 Sylvain Arth 2015-08-14 10:32:14 UTC
Created attachment 1062977 [details]
File: environ

Comment 3 Tim Lauridsen 2015-10-06 09:14:22 UTC
I will look into this issue

Comment 4 Tim Lauridsen 2015-10-06 09:15:10 UTC
*** Bug 1256425 has been marked as a duplicate of this bug. ***

Comment 5 Fedora End Of Life 2015-11-04 15:21:22 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Fedora Update System 2016-03-17 12:10:30 UTC
yumex-dnf-4.1.6-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-2f5cc390c9

Comment 8 Fedora Update System 2016-03-17 12:35:45 UTC
yumex-dnf-4.1.6-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-2e89a93119

Comment 9 Fedora Update System 2016-03-17 12:36:00 UTC
yumex-dnf-4.1.6-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-927d14cf42

Comment 10 Fedora Update System 2016-03-18 14:57:08 UTC
yumex-dnf-4.1.6-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-2f5cc390c9

Comment 11 Fedora Update System 2016-03-18 23:55:41 UTC
yumex-dnf-4.1.6-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-927d14cf42

Comment 12 Fedora Update System 2016-03-19 01:26:02 UTC
yumex-dnf-4.1.6-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-2e89a93119

Comment 13 Fedora Update System 2016-03-23 15:17:51 UTC
yumex-dnf-4.1.6-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2016-03-26 19:49:22 UTC
yumex-dnf-4.1.6-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2016-03-26 20:20:08 UTC
yumex-dnf-4.1.6-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.